Bug 728926 - qpid-config option --limit-policy TYPE possibly mistyped to --policy-type TYPE
Summary: qpid-config option --limit-policy TYPE possibly mistyped to --policy-type TYPE
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference
Version: 2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 2.1
: ---
Assignee: Alison Young
QA Contact: Petr Matousek
URL:
Whiteboard:
Depends On: 733205
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 12:13 UTC by Zdenek Kraus
Modified: 2012-09-21 12:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-26 19:27:58 UTC


Attachments (Terms of Use)

Description Zdenek Kraus 2011-08-08 12:13:11 UTC
Description of problem:
qpid-config parameter usage mismatch from documentation and program.
We are seeing this parameter --policy-type TYPE that is in documentation does not match parameter which is offered by qpid-config and I'm suggesting replace parameter in documentation to --limit-policy TYPE instead of changing parameter in program.


Version-Release number of selected component (if applicable):
rhm-docs-0.10-2.el5
qpid-tools-0.10-6.el5

How reproducible:
100%

Actual results:
--max-queue-count NUMBER
    Maximum queue size in number of messages 
--policy-type TYPE
    Action to take when queue limit is reached. TYPE can be:

        *
          reject
        *
          flow_to_disk
        *
          ring
        *
          ring_strict 

--last-value-queue
    Enable last value queue behavior on the queue 

Expected results:
--max-queue-count NUMBER
    Maximum queue size in number of messages 
--limit-policy TYPE
    Action to take when queue limit is reached. TYPE can be:

        *
          reject
        *
          flow_to_disk
        *
          ring
        *
          ring_strict 

--last-value-queue
    Enable last value queue behavior on the queue

Comment 2 Lana Brindley 2011-10-13 03:09:06 UTC
This is a quick fix, we'll get it in for 2.1.

LKB

Comment 5 Petr Matousek 2011-11-08 16:10:12 UTC
The issue has been fixed

Messaging_User_Guide - Revision 2-7

-> VERIFIED

Comment 6 Lana Brindley 2012-01-26 19:27:58 UTC
This book is now available on redhat.com/docs. Please raise a new bug if you spot any issues.

Thanks,
LKB


Note You need to log in before you can comment on or make changes to this bug.